package com.fjhx.victoriatourist.entity.jd.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 京东订单列表查询入参实体
 *
 * @author 
 * @since 2023-04-20
 */
@Getter
@Setter
public class JdOrderSelectDto extends BaseSelectDto {

    /**
     * 状态 1未出库 2部分出库 3已出库
     */
    private Integer status;

    /**
     * 接收状态
     */
    private Integer inStatus;

    /**采购单id**/
    private Long orderId;

    /**京东商品编号**/
    private Long wareId;

    /**是否可回告**/
    private Boolean isCanConfirm;

    /**确认状态**/
    private String businessStatus;

    /**订单状态**/
    private Integer state;

    /**回告状态**/
    private Integer confirmState;

    private String hasEx;

    private String hasRemark;

    private String handleStatus;

    private String exHandle;

    private String exDesc;

    private Date startTime;
    private Date endTime;

    /**
     * 分流类型
     */
    private Integer diversionType;
}
