package com.fjhx.victoriatourist.service.excess;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.excess.dto.ExcessGoodsDetailsDto;
import com.fjhx.victoriatourist.entity.excess.dto.ExcessGoodsDetailsSelectDto;
import com.fjhx.victoriatourist.entity.excess.po.ExcessGoodsDetails;
import com.fjhx.victoriatourist.entity.excess.vo.ExcessGoodsDetailsVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;

/**
 * <p>
 * 多货登记明细 服务类
 * </p>
 *
 * @author 
 * @since 2024-03-27
 */
public interface ExcessGoodsDetailsService extends BaseService<ExcessGoodsDetails> {

    /**
     * 多货登记明细列表
     */
    List<ExcessGoodsDetailsVo> getList(ExcessGoodsDetailsSelectDto dto);

    /**
     * 多货登记明细分页
     */
    Page<ExcessGoodsDetailsVo> getPage(ExcessGoodsDetailsSelectDto dto);

    /**
     * 多货登记明细明细
     */
    ExcessGoodsDetailsVo detail(Long id);

    /**
     * 多货登记明细新增
     */
    void add(ExcessGoodsDetailsDto excessGoodsDetailsDto);

    /**
     * 多货登记明细编辑
     */
    void edit(ExcessGoodsDetailsDto excessGoodsDetailsDto);

    /**
     * 多货登记明细删除
     */
    void delete(Long id);

    void backGoods(ExcessGoodsDetailsDto dto);

    void inStock(List<Long> excessGoodsDetailsIds);
}
