package com.fjhx.wms.entity.stock.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 库存盘点登记
 * </p>
 *
 * @author 
 * @since 2024-03-26
 */
@Getter
@Setter
@TableName("stock_check_register")
public class StockCheckRegister extends BasePo {

    /**
     * 库存id
     */
    private Long stockId;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 库存数量
     */
    private Long quantity;

    /**
     * 盘点数量
     */
    @NotNull(message = "盘点数量不能为空")
    private Long checkQuantity;

}
